%define __debug_install_post  %{_rpmconfigdir}/find-debuginfo.sh %{?_find_debuginfo_opts} "%{_builddir}/%{?buildsubdir}"%{nil}
%define _topdir /root/rpmbuild
%define _prefix  /usr/local/varnish

Name:           varnish
Version:        6.2.0
Release:        1%{?dist}
Summary:        reverse proxy server
License:        BSD
URL:            http://varnish-cache-org/

Source0:        %{name}-%{version}.tgz

BuildRequires:  gcc

%description
Varnish Cache is a powerful, open source HTTP engine/reverse HTTP proxy that 
can speed up a website by up to 1000 percent by doing exactly what its name implies:
caching (or storing) a copy of a webpage the firse time a user visits.

%prep
%setup -q

%build
sh autogen.sh
./configure --prefix=%{_prefix}
make  -j90

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT  install

mkdir $RPM_BUILD_ROOT%{_prefix}/config
cp $RPM_BUILD_ROOT%{_prefix}/share/doc/varnish/example.vcl $RPM_BUILD_ROOT%{_prefix}/config/default.vcl

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_prefix}/*

%changelog
* Thu Nov 8 2019  Yuqin Gao - 6.2.0
- varnish rpm to point to /usr/local/varnish
