#!/bin/bash

#
#	回退编译，安装，部署和调优	
#

function RollbackGerneral(){
	rm -rf /etc/modprobe.d/blacklist.conf
	sed -i "/* soft    nofile  102400/d" /etc/security/limits.conf
	sed -i "/* hard    nofile  102400/d" /etc/security/limits.conf
	\cp -rf /etc/sysctl.conf_bak /etc/sysctl.conf
	sed -i 's/SELINUX=disabled/SELINUX=enforcing/g' /etc/sysconfig/selinux
	sed -i 's/iommu.passthrough=1/ /g' /etc/grub2-efi.cfg
}

function RollBacKVarnish(){
	pkill varnish
        rpm -qa |grep varnish-6.2.0
        if [ $? -ne 1 ];then
	        rpm -e --nodeps `rpm -qa |grep varnish-6.2.0`
        fi
	rm -rf /usr/local/varnish
        rm -rf ./deps/varnish-6.2.0-1.el7.aarch64.rpm ./deps/varnish-debuginfo-6.2.0-1.el7.aarch64.rpm
}

function RollBackDependency(){
        rm -rf ./deps/Python-3.6.0 /usr/local/python3
        sed -i 's/usr\/local\/python3\/bin//g' /etc/profile 
}

#-----------------shell begin--------------------
echo "begin to rollback"
RollbackGerneral
RollBacKVarnish
RollBackDependency
echo "roll back success, you need to reboot to make the rollback work"
