#!/bin/bash

#  此脚本为varnish的启动脚本，由于绑核脚本重启失效，需重新绑定，需要配置参数后（稍后由参数说明）

##################需要配置的参数#####################
eth0=""                           #当前环境的通讯网口名，不能使用GE网卡，必填项，同install.sh脚本中的eth0
#####################################################

if [[ -z $eth0 ]];then
        echo "please config The NIC name in the startVarnish.sh"
        exit 1
fi

sh /usr/local/varnish/irq_default.sh $eth0 > /dev/null.log

pkill varnish
sleep 2
numactl -C 1,1,2,4,5,6,7,8,9,10,12,13,14,15,16,17,18,20,21,22,23,24,25,26,28,29,30,31,32,33,34,36,37,38,39,40,41,42,44,45,46,47 \
--membind=0,1 /usr/local/varnish/sbin/varnishd -P /tmp/varnish.pid -a :12345 -T 127.0.0.1:6082 -s malloc,100GB \
-f /usr/local/varnish/config/default.vcl -t 600 -p thread_pool_max=5000 -p thread_pools=10 \
-p thread_pool_destroy_delay=3 -p timeout_idle=75 -p thread_pool_min=70
